Subject: slim: Please provide a Xreset hook using a common framework

From: Petter Reinholdtsen <[email-masked]>
Date: Sun, 07 Mar 2010 09:41:46 +0100

Package:  slim
Version:  1.3.1-1

In BTS report #230422, I outline the need for a hook into the Xreset
phase of the display manager.  Please implement support for it in
slim, to make it possible to run scripts when users log out from a
slim session.  This bug should be blocked by #230422.  The fix for
#230422 is in git now, and can be fetched using 'git clone
http://git.debian.org/git/pkg-xorg/debian/xorg.git'.

I had a look at the source for slim, but was unsure where to add such
hook.  I suspect the sessionstop_cmd setting in slim.conf might be the
correct place, but am unsure if this is executed as root or not.

Happy hacking,
--
Petter Reinholdtsen